Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class InputMapper

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.AbstractMapper
          org.codehaus.groovy.grails.webflow.engine.builder.InputMapper

    class InputMapper
    extends AbstractMapper

Mapper implementation that puts subflow input values in the subflow's FlowScope.

Authors:
  Ivo Houbrechts

Constructor Summary
`InputMapper(groovy.lang.Closure definition)`

Method Summary
`protected org.springframework.binding.mapping.MappingResult` | `map(java.lang.Object source, java.lang.Object target, java.lang.Object mapping)`

Methods inherited from class AbstractMapper
map, map, methodMissing

Constructor Detail

### InputMapper

    InputMapper(groovy.lang.Closure definition)

Method Detail

### map

    protected org.springframework.binding.mapping.MappingResult map(java.lang.Object source, java.lang.Object target, java.lang.Object mapping)

Groovy Documentation